apiVersion: v1
kind: Secret
metadata:
  annotations:
    do-not-purge: "true"
  labels:
{% if encoded_ca | default(False) %}
    opsperator.io/ca: {{ encoded_ca | b64decode | hash('sha1') }}
{% else %}
    opsperator.io/ca: {{ ((sc_crt_data.stdout_lines | default([])) | join('\n')) | hash('sha1') }}
{% endif %}
  name: {{ ca_name }}-{{ 'root' if (not (parentca | default(False))) else parentca }}-ca
  namespace: {{ namespace }}
{% if encoded_ca | default(False) %}
data:
  ca.crt: {{ encoded_ca }}
{% if encoded_ca_key | default(False) %}
  ca.key: {{ encoded_ca_key }}
{% endif %}
  parentca: ZmFsc2U=
{% if encoded_ca_passphrase | default(False) %}
  passphrase: {{ encoded_ca_passphrase }}
{% endif %}
{% else %}
stringData:
{% if sc_crt_data is defined and (sc_crt_data.stdout_lines[0] | default('')) != "" %}
  ca.crt: |
{% for line in sc_crt_data.stdout_lines | default([]) %}
    {{ line }}
{% endfor %}
{% endif %}
{% if sc_key_data is defined and (sc_key_data.stdout_lines[0] | default('')) != "" %}
  ca.key: |
{% for line in sc_key_data.stdout_lines | default([]) %}
    {{ line }}
{% endfor %}
{% endif %}
  parentca: "{{ false if (not (parentca | default(False))) else (parentca ~ '-ca') }}"
  passphrase: {{ ca_passphrase | default('secret') }}
{% endif %}
